#include <hidef.h> 
#include "derivative.h" 

void main(void) {

   PTCDD=0x3C; //konfigurace pinů LED diod 1 až 4 jako výstupních
   PTCD=0x3C;  //zhasnutí LED diod 1 až 4
   PTAPE=0xD0; //připojení pull-up rezistorů k tlačítkům 1 až 3
  
  while(PTAPE!=0xD0){} //čekání na nastavení registru PTAPE
   
  for(;;) {
   
   if(PTAD_PTAD6==0) //testování tlačítka 1
   {  
   PTCD=0x38;//rozsvícení LED diody 1, zhasnutí LED 2,3,4 
   }
    
   
   if(PTAD_PTAD7==0)  //testování tlačítka 2
   {
   PTCD=0x34; //rozsvícení LED diody 2, zhasnutí LED 1,3,4 
   }
   
   if(PTAD_PTAD4==0) //testování tlačítka 3
   {
   PTCD=0x2C; //rozsvícení LED diody 3, zhasnutí LED 1,2,4
   }
     
   if(PTCD_PTCD7==0) //testování tlačítka 4 
   {
   PTCD=0x1C; //rozsvícení LED diody 4, zhasnutí LED 1,2,3
   }
    
    __RESET_WATCHDOG(); //reset registru watchdog 
  } 
}
